net.minecraft.client.resources

## Class ResourcePackRepository

- java.lang.Object
- - net.minecraft.client.resources.ResourcePackRepository

-     public class ResourcePackRepository
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ResourcePackRepository.Entry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.io.FileFilter` | `resourcePackFilter`
    `IResourcePack` | `rprDefaultResourcePack`
    `IMetadataSerializer` | `rprMetadataSerializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourcePackRepository(java.io.File p_i45101_1_, java.io.File p_i45101_2_, IResourcePack p_i45101_3_, IMetadataSerializer p_i45101_4_, GameSettings p_i45101_5_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_148526_a(java.lang.String p_148526_1_)`
    `void` | `func_148527_a(java.util.List p_148527_1_)`
    `void` | `func_148529_f()`
    `IResourcePack` | `func_148530_e()`
    `java.io.File` | `getDirResourcepacks()`
    `java.util.List` | `getRepositoryEntries()`
    `java.util.List` | `getRepositoryEntriesAll()`
    `void` | `updateRepositoryEntriesAll()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resourcePackFilter

          protected static final java.io.FileFilter resourcePackFilter

    - #### rprDefaultResourcePack

          public final IResourcePack rprDefaultResourcePack

    - #### rprMetadataSerializer

          public final IMetadataSerializer rprMetadataSerializer

  - ### Constructor Detail

    - #### ResourcePackRepository

          public ResourcePackRepository(java.io.File p_i45101_1_,
                                java.io.File p_i45101_2_,
                                IResourcePack p_i45101_3_,
                                IMetadataSerializer p_i45101_4_,
                                GameSettings p_i45101_5_)

  - ### Method Detail

    - #### updateRepositoryEntriesAll

          public void updateRepositoryEntriesAll()

    - #### getRepositoryEntriesAll

          public java.util.List getRepositoryEntriesAll()

    - #### getRepositoryEntries

          public java.util.List getRepositoryEntries()

    - #### func_148527_a

          public void func_148527_a(java.util.List p_148527_1_)

    - #### getDirResourcepacks

          public java.io.File getDirResourcepacks()

    - #### func_148526_a

          public void func_148526_a(java.lang.String p_148526_1_)

    - #### func_148530_e

          public IResourcePack func_148530_e()

    - #### func_148529_f

          public void func_148529_f()